206AB Compliance API
Introduction
This API checks on Compliance of Sections 206AB of Income tax act which mandates tax deduction at a higher rate if a ‘specified person’ has failed to file income tax returns for the previous two financial years.
How to call the API
You will need to login before sending Pan 206AB Compliance check request. You are required to pass the access token received from the login call, as authorization header in the request for Compliance API along with other parameters.
API Input Guidelines
Provide correct PAN number in Upper/Lower case.
CURL Request
curl --location --request POST 'https://signzy.tech/api/v2/patrons/<Patron ID>/panv2' \
--header 'Authorization: <Auth Key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"task": [
"2"
],
"essentials": {
"number": "<PAN Number>"
}
}'Response Parameters
Parameters Name | Data Type | Description |
|---|---|---|
result.compliant | Boolean | If the PAN holder complies with section206AB result will be "true" if not then "false" |
result.panAllotmentDate | String | Date of allotment of PAN number |
result.number | String | PAN number of Holder |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].